# Generated from sqs-list-queues-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sqs-list-queues

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: List SQS queues, optionally with message counts and more
License: Apache-2.0
URL: https://github.com/rvedotrc/sqs-list-queues
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
sqs-list-queues lists your SQS queues (working around the 1000 queue limit
in the ListQueues API).
Options are available to filter by queue name, show message counts, show
queue ARNs and/or names, and output as json.
Respects $https_proxy.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/sqs-list-queues
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.0-1
- Initial package
